package main;

import com.sun.net.httpserver.HttpServer;
import handlers.*;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.util.HashSet;
import java.util.Set;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

class ServerMain {

    private static int portNumber = 6354;

    public static void main(String[] args) {
        // Does the user added a new port
        if (args.length == 2 && args[0].equalsIgnoreCase("--port")) {
            int port = 6354;

            try {
                port = Integer.parseInt(args[1]);
            } catch (NumberFormatException ex) {
                ex.printStackTrace();
            }

            portNumber = port;
        }

        HttpServer server;

        try {
            ExecutorService executor;
            executor = Executors.newCachedThreadPool();

            server = HttpServer.create(new InetSocketAddress(portNumber), 0);

            server.createContext("/alert", new AlertHandler());

            server.setExecutor(executor);

            server.start();
            System.out.println("SERVER STARTED");
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

}